@import "fonts/candara/candara-regular.css";
@import "fonts/calibri/calibri-regular.css";

* {
    font-family: Calibri;
}
html, body {
    height: 100vh;
    margin: 0;
    padding: 0;
}

body {
    display: flex;
    flex-direction: column;
    overflow: auto;

    section {
        padding: 0.5rem;
    }

    button {
        font-size: 1.2rem;
        background-color: #FFFFFF;
        border: 1px solid rgb(209,213,219);
        border-radius: .5rem;
        box-sizing: border-box;
        color: #111827;
        line-height: 1.25rem;
        padding: .75rem 1rem;
        text-align: center;
        text-decoration: none #D1D5DB solid;
        text-decoration-thickness: auto;
        box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
        cursor: pointer;
        user-select: none;
        -webkit-user-select: none;
        touch-action: manipulation;

        &:hover {
        background-color: rgb(249,250,251);
        scale: 1.05;
        }

        &:focus {
        outline: 2px solid transparent;
        outline-offset: 2px;
        }

        &:focus-visible {
        box-shadow: none;
        }

        &:active {
        scale: 1;
        }
    }
       

    header {
        h1 {
            font-family: Candara;
            font-size: 2rem;
            background-image: url("imgs/logo.png");
            background-repeat: no-repeat;
            background-size: 3rem;
            background-position: 0.5rem  center;
            display: block;
            padding-left: 4rem;
        }
        .purchase { 
            display: flex;
            justify-content: space-between;
            align-items: baseline;

            output {
                font-size: 1.2rem;;
            }
        }
    }

    main {
        flex: 1;
        display: flex;
        flex-direction: column;
        padding: 0.5rem;
        gap:0.5rem;

        .selector {
            display: flex;
            gap: 1rem;
            padding: 0;

            select{
                flex: 1;
                option {
                    display: flex;
                    justify-content: space-between;
                }
            }
        }

        .basket {
            flex: 1;
            padding: 0;
            border: 1px solid grey;
            overflow-y: auto;
            display: flex;
            flex-direction: column;

            article {
                display: flex;
                align-items: center;
                gap: 0.5rem;
                padding: 0.5rem;

                &:nth-child(odd) {
                    background-color: hsl(240, 10%, 92%);
                }
                &:nth-child(even) {
                    background-color: hsl(240, 10%, 82%);
                }
                &:hover {
                    background-color: blueviolet;
                    color: whitesmoke;
                    font-weight: bold;
                } 

                div {
                    flex: 1;
                    display: flex;
                    justify-content: space-between;
                }

            }
        }
    }
}
